Name:          argtable2
Version:       13
Release:       1mamba
Summary:       An ANSI C command line parser
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://argtable.sourceforge.net/
Source:        http://prdownloads.sourceforge.net/argtable/argtable2-%{version}.tar.gz
License:       LGPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
## AUTOBUILDREQ-END
BuildRequires: cmake
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
An ANSI C command line parser.

%package -n lib%{name}
Group:         System/Libraries
Summary:       An ANSI C command line parser

%description -n lib%{name}
An ANSI C command line parser.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libargtable2.so.*
%doc AUTHORS COPYING

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/argtable2.h
%{_libdir}/libargtable2.a
%{_libdir}/libargtable2.la
%{_libdir}/libargtable2.so
%{_libdir}/pkgconfig/argtable2.pc
%dir %{_datadir}/doc/argtable2
%{_datadir}/doc/argtable2/*
%{_mandir}/man3/argtable.3*
%{_mandir}/man3/argtable2.3*
%doc ChangeLog README


%changelog
* Mon May 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 13-1mamba
- package created using the webbuild interface
